using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace TreeViewSelfReferenceWCFService.Web
{
	// NOTE: If you change the class name "MyService" here, you must also update the reference to "MyService" in Web.config.
	public class MyService : IMyService
	{
		public void GetMyData()
		{
		}

		#region IMyService Members

		List<MyDataTable> IMyService.GetMyData()
		{
			MyDataClassesDataContext db = new MyDataClassesDataContext();

			var items = from item in db.MyDataTables
						select item;

			return items.ToList();
		}

		#endregion
	}
}
